{"swagger":"2.0","info":{"title":"360 API","version":"1.0.0"},"servers":[{"url":"campaigns.dev.evive.io"},{"url":"campaigns.uat.evive.io"},{"url":"campaigns.evive.io"}],"security":[{"bearerAccessToken":[]}],"paths":{"/incentives/customers/{clientCode}/members/{upin}/activities":{"get":{"tags":["incentives"],"summary":"Get the current incentive activities for a single employee","parameters":[{"name":"clientCode","in":"path","description":"unique customer identifier","required":true,"schema":{"type":"string"}},{"name":"upin","in":"path","description":"unique user identifier i.e. upin","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserActivityStatus"}}}}}}},"/incentives/customers/{clientCode}/program-interval":{"get":{"tags":["incentives"],"summary":"Get the program start and end date","parameters":[{"name":"clientCode","in":"path","description":"unique customer identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProgramInterval"}}}}}}},"/incentives/customers/{clientCode}/activities/{activity_id}/self-attest":{"get":{"tags":["incentives"],"summary":"Get the the self-attestation modal of the requested activity ID for the input customer ID and UPIN.","parameters":[{"name":"clientCode","in":"path","description":"unique customer identifier","required":true,"schema":{"type":"string"}},{"name":"activity_id","in":"path","description":"unique activity identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfAttestModal"}}}}}}},"/incentives/customers/{clientCode}/members/{upin}/activities/{activity_id}":{"put":{"tags":["incentives"],"summary":"Update the activity status of an IM user for activities with self-attestation feature","requestBody":{"description":"the UserActivityUpdate object","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserActivityUpdate"}}}},"parameters":[{"name":"clientCode","in":"path","description":"unique customer identifier","required":true,"schema":{"type":"string"}},{"name":"upin","in":"path","description":"unique user identifier","required":true,"schema":{"type":"string"}},{"name":"activity_id","in":"path","description":"unique activity identifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful response"}}}}},"components":{"securitySchemes":{"bearerAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UserActivityUpdate":{"type":"object","properties":{"selectedOption":{"type":"string"},"newStatusDate":{"type":"string","format":"date"},"physicianFirstName":{"type":"string"},"physicianLastName":{"type":"string"},"phoneNumber":{"type":"string"}}},"SelfAttestModal":{"type":"object","properties":{"id":{"type":"string"},"relatedOptions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"calendar":{"type":"string","enum":["DISABLED","ENABLED"]},"beginDate":{"type":"string","format":"date","description":"the first date available in the calendar","example":"2018-11-13"},"endDate":{"type":"string","format":"date","description":"the last date avaliable in the calendar","example":"2018-11-13"}}}},"physicianContactInformation":{"type":"string","enum":["DISABLED","ENABLED"]}}},"UserActivityStatus":{"type":"object","properties":{"employeeId":{"type":"string","description":"the unique employee identifier i.e. upin"},"activities":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"points":{"type":"string"},"priority":{"type":"string"},"status":{"type":"string","enum":["TODO","IN_PROGRESS","COMPLETE","WAIVED","EXCLUDED","EXEMPT","OTHERS"]},"eventDate":{"type":"string","format":"date-time","description":"the date the event occured","example":"2018-11-13T20:20:39+00:00"},"processDate":{"type":"string","format":"date-time","description":"the date evive processed","example":"2018-11-13T20:20:39+00:00"},"startDate":{"type":"string","format":"date-time","description":"the date evive processed","example":"2018-11-13T20:20:39+00:00"},"endDate":{"type":"string","format":"date-time","description":"the date evive processed","example":"2018-11-13T20:20:39+00:00"},"prerequisiteFlag":{"type":"string","enum":[true,false]}}}}}},"ProgramInterval":{"type":"object","properties":{"name":{"type":"integer"},"interval":{"type":"object","properties":{"startDate":{"type":"string"},"endDate":{"type":"string"}}}}}}}}